> ## Documentation Index
> Fetch the complete documentation index at: https://docs.nmbr.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Get an employee's vacation pay history for a work assignment

> This endpoint gets an employee's vacation pay history for a work assignment. The history
includes one record per payroll in a reporting period (specified using `period_start`,
`period_end`, or `pay_date` filters) and includes the opening balance, amount accrued,
amount paid, closing balance, and any balance adjustment line items for the payroll, as
well as basic payroll details.

If you just need a vacation pay balance, use the vacation pay balance endpoint instead.



## OpenAPI

````yaml /spec/openapi.json get /vacation_pay_history
openapi: 3.0.0
info:
  title: Nmbr API
  description: API to interact with Nmbr Payroll
  version: 1.0.0
servers:
  - url: https://sandbox.nmbr.co/services/payroll
security:
  - CompanyToken: []
tags:
  - name: Accounting Codes
  - name: Accounting Code Rules
  - name: Adjustments
  - name: Allowances
  - name: Allowance Line Items
  - name: Allowance Types
  - name: Async Tasks
  - name: Bank Accounts
  - name: Business Entities
  - name: Business Entity Verifications
  - name: Business Entity ROE Authorizations
  - name: Business Presets
  - name: Calculations
  - name: Companies
  - name: Contractors
  - name: Deductions
  - name: Deduction Line Items
  - name: Deduction Types
  - name: Earnings
  - name: Earning Line Items
  - name: Earning Types
  - name: Effective Tax Properties
  - name: Employees
  - name: Employee Benefits
  - name: Employee Benefit Line Items
  - name: Employee Benefit Types
  - name: Employer Benefits
  - name: Employer Benefit Line Items
  - name: Employer Benefit Types
  - name: Employer Statutory Withholding Line Items
  - name: Employer Statutory Withholding Types
  - name: Forms
  - name: Form Batches
  - name: Form Types
  - name: Holidays
  - name: Integrations
  - name: Journal Entries
  - name: Overtime Rates
  - name: Partners
  - name: Pay Rates
  - name: Pay Schedules
  - name: Pay Splits
  - name: Pay Stubs
  - name: Payments
  - name: Payrolls
  - name: Reimbursements
  - name: Reimbursement Line Items
  - name: Reimbursement Types
  - name: Remittance Accounts
  - name: Remittance Account Enrollments
  - name: Reports
  - name: Statutory Withholding Line Items
  - name: Statutory Withholding Types
  - name: Tags
  - name: Tag Groups
  - name: Tax Properties
  - name: Tax Property Templates
  - name: Tokens
  - name: Usage Records
  - name: Usage Summaries
  - name: Vacation Pay
  - name: Vacation Pay Settings
  - name: Webhooks
  - name: Work Assignments
paths:
  /vacation_pay_history:
    get:
      tags:
        - Vacation Pay
      summary: Get an employee's vacation pay history for a work assignment
      description: >-
        This endpoint gets an employee's vacation pay history for a work
        assignment. The history

        includes one record per payroll in a reporting period (specified using
        `period_start`,

        `period_end`, or `pay_date` filters) and includes the opening balance,
        amount accrued,

        amount paid, closing balance, and any balance adjustment line items for
        the payroll, as

        well as basic payroll details.


        If you just need a vacation pay balance, use the vacation pay balance
        endpoint instead.
      operationId: vacation-pay-history-index
      parameters:
        - name: work_assignment_id
          in: query
          schema:
            type: string
          required: true
        - name: period_start
          in: query
          schema:
            type: object
          required: false
          description: >-
            Filter results by the payrolls' period start dates.


            Date filters support two formats:

            Exact Date Match: Provide a well-formatted date in `YYYY-MM-DD`
            format for an exact match. Example: `period_start=2024-01-01`

            Use an array-like syntax to specify a range with one or more
            comparison operators:

            - `gt` (greater than)

            - `gte` (greater than or equal to)

            - `lte` (less than or equal to)

            - `lt` (less than)

            Example: `period_start[gte]=2024-01-01&period_start[lt]=2024-12-31`
        - name: period_end
          in: query
          schema:
            type: object
          required: false
          description: >-
            Filter results by the payrolls' period end dates.


            Date filters support two formats:

            Exact Date Match: Provide a well-formatted date in `YYYY-MM-DD`
            format for an exact match. Example: `period_end=2024-01-01`

            Use an array-like syntax to specify a range with one or more
            comparison operators:

            - `gt` (greater than)

            - `gte` (greater than or equal to)

            - `lte` (less than or equal to)

            - `lt` (less than)

            Example: `period_end[gte]=2024-01-01&period_end[lt]=2024-12-31`
        - name: pay_date
          in: query
          schema:
            type: object
          required: false
          description: >-
            Filter results by the payrolls' pay dates.


            Date filters support two formats:

            Exact Date Match: Provide a well-formatted date in `YYYY-MM-DD`
            format for an exact match. Example: `pay_date=2024-01-01`

            Use an array-like syntax to specify a range with one or more
            comparison operators:

            - `gt` (greater than)

            - `gte` (greater than or equal to)

            - `lte` (less than or equal to)

            - `lt` (less than)

            Example: `pay_date[gte]=2024-01-01&pay_date[lt]=2024-12-31`
        - name: include_next_payrolls
          in: query
          schema:
            type: boolean
          required: false
          description: When true, includes the next (draft) payroll in the results.
        - name: include_approved_payrolls
          in: query
          schema:
            type: boolean
          required: false
          description: >-
            When true, includes approved but not yet paid payrolls in the
            results.
        - name: sort
          in: query
          schema:
            type: string
            enum:
              - pay_date
          required: false
          description: >-
            Sort order is specified using the format 

            `sort=field[:direction][,field[:direction],...]` where `field` is
            the name of the field to sort by

            and `direction` is the optional sort direction (`asc` or `desc`).
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: object
                properties:
                  object:
                    type: string
                    description: The type of the object in Nmbr (`"list"`).
                    readOnly: true
                  data:
                    type: array
                    items:
                      type: object
                      properties:
                        id:
                          type: string
                          description: The unique identifier of the object in Nmbr.
                          readOnly: true
                        object:
                          type: string
                          description: >-
                            The type of the object in Nmbr
                            (`"vacation_pay_history"`).
                          readOnly: true
                        data:
                          $ref: '#/components/schemas/VacationPayHistory'
              example:
                object: list
                data: []
components:
  schemas:
    VacationPayHistory:
      type: object
      title: Vacation Pay History
  securitySchemes:
    CompanyToken:
      type: http
      scheme: bearer

````